Create version
1 min
POST
https://api.cms.optimizely.com/v1/content/{key}/versions
keystringThe key of the content item for which a new content version should be created.
acceptstringGenerated from available response content types
cms-skip-validationarray<p>Indicates which content validation rules should be bypassed. Supported values are '*' (skip all validations), 'data' (skip data validation), and 'references' (skip reference validation). Values can be combined, empty or duplicated values are ignored, and any unknown values result in a validation error. Use with caution as this may allow creation of invalid content that could cause issues in production.</p>
Preferarray<p>Indicates client preference for the response content as per IETF RFC7240. Currently only supports 'return=representation' which can be used to indicate a preference to receive a representation of the resource that has been altered in the response.</p>
bodyobjectThe content version that should be created.
201Created
400Bad Request
401Unauthorized
403Forbidden
404Not Found
409Conflict
429Too Many Requests
500Internal Server Error
curl --request POST \
--url https://api.cms.optimizely.com/v1/content/{key}/versions \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"binding": {
"source": ""
},
"displayName": "",
"composition": {
"nodeType": "",
"displaySettings": {
"displayTemplate": ""
},
"component": {
"binding": {
"source": ""
}
}
}
}'